Bug 333161 - Feature Request: timeout on start/stop actions
Feature Request: timeout on start/stop actions
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
Cluster QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 17:39 EDT by Anthony Green
Modified: 2009-05-18 17:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 17:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2007-10-15 17:39:31 EDT
Description of problem:
We've seen several instances with ClusterSuite where startup or shutdown hangs.
 With startup, one of the gfs mounts hung during the mount command.  Strace on
the mount command showed no activity in the process, so it was apparently
blocked.  During a stop call when relocating services, our clustered application
failed to shutdown and hung.

With the stop failure, it would be possible to add a timer to our stop action of
the /etc/init.d script, but that seems like overkill and it's a pain to do some
of the more advanced features in shell script.  It would be desirable if
clustersuite were to set a configurable timer and if the starting of the
application takes too long, it would consider the start to have failed.  On the
stop action, it would be desirable to have a similar timer with the possibility
of calling a second action if the timer is exceeded.  stop, wait for 5 minutes
and then call the abort action, for example. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Lon Hohberger 2007-10-23 16:48:17 EDT
Ok:

start timeout => normal recovery (i.e., try to stop, then move somewhere else in
the cluster)

stop timeout => critical (i.e. if hardrecovery is set, reboot the node, else,
mark service 'failed')

status timeout => normal recovery
Comment 5 Lon Hohberger 2008-08-18 17:03:50 EDT
Upstream / community member would also like a status timeout
Comment 13 errata-xmlrpc 2009-05-18 17:13:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1048.html

Note You need to log in before you can comment on or make changes to this bug.